# Traces

_Cet article est un brouillon, pas encore publié. Vous êtes invité·e à NE PAS le partager pour l’instant. Merci._

<details>
<summary>Proposition 24 jours de web</summary>

> Je vous propose un article sur ma pratique d’un journal professionnel. Je ne cherche pas à élargir mon audience et je suis conscient que mes privilèges facilitent la diffusion de mes idées et que je suis en capacité de publier mes pensées. Si vous avez d’autres propositions d’articles issues de personnes moins représentées, je leur cède bien volontiers ma place. Ce contenu sera de toute façon en ligne, soit en même temps, soit avec un délai à définir, sur mon propre espace de publication.
> 
> Aussi, je peux servir d’article bouche-trou s’il y a un désistement de dernière minute. Je suis volontaire pour participer à la relecture d’autres propositions plus ou moins techniques.

</details>

Lorsqu’on parle de publication d’un journal sur le web — qu’il soit personnel ou professionnel — on pense tout de suite aux (web)blogs. Je voudrais ici partager avec vous une autre pratique du journal qui me permet de partager mon travail de manière semi-privée au sein des équipes distribuées et asynchrones que je côtoie depuis plus de 5 ans. C’est un intermédiaire entre la description d’une facture, un compte rendu d’activité (CRA) et ce qui peut être échangé lors d’un rendez-vous d’équipe oral quotidien. Pour [une version courte](/david/2020/12/13/#journal).

## Prologue

J’ai probablement été inspiré par les carnets de laboratoire si importants pour la recherche scientifique, ayant ensuite participé activement à leur numérisation et à leur passage au web (premier emploi). Il y a certainement des personnes comme [Ronan](https://ronan.amicel.net/) et [Yannick](https://elsif.fr/) qui m’ont influé aussi dans cette routine d’écriture.

## Génèse

Le plus vieux journal de la sorte que j’ai pu retrouver remonte à mon accompagnement de data.gouv.fr et c’est étrange d’avoir commencé en cours de mission mais ça correspond aussi à mon arrivée au Québec ce qui justifie probablement l’envie de créer un nouvel espace d’échanges asynchrones car je me retrouvais avec 6 heures de décalage horaire. _Note : le fait de ne pas être sur la même timezone m’apporte beaucoup dans mon travail quotidien mais ce sera l’objet d’un futur article._

![Capture d’écran d’un ancien journal (2016)](/static/david/2022/journal-2016-datagouvfr.png "Capture d’écran d’un journal hebdomadaire pour la deuxième semaine de septembre 2016.")

On peut voir que je comptabilise le nombre de jours de manière publique avec l’équipe, que je partage un _mood_ et que je documente ce que j’ai fait sur la semaine en cours/passée. Il y a aussi beaucoup de liens et d’emojis, on se refait pas 🤷.

Lors d’un essai, je trouve ça pertinent de ne pas trop se soucier de la forme ou du lieu où sont stockées les données, cela sera facilement modifiable et récupérable si l’expérience est concluante. Ça reste tout de même du texte brut en _markdown_ qui est aisément transformable.

J’ai continué ce premier journal jusqu’à la fin de l’année avant de valider l’expérience et de passer à une publication chez moi. Avoir la main sur la conversion en HTML m’a permis de le représenter davantage sous la forme d’une _timeline_ et de comptabiliser automagiquement les jours du mois pour la facturation grâce à des `data-attributes` bien placés. J’ai aussi la possibilité de replier les entrées très anciennes à l’aide d’un `details`/`summary` ce qui devient assez critique car je passe à un format quotidien plus approprié au [produit sur lequel je travaille](https://beta.gouv.fr/startups/zam.html) à ce moment là.

![Capture d’écran d’un ancien journal (2019)](/static/david/2022/journal-2019-zam.png "Capture d’écran d’un journal quotidien fin 2019")

Plus récemment, j’ai introduit des graphes du temps passé et de l’humeur du moment. Je voulais voir ce que ça pouvait donner sur une période et visualiser si l’humeur était dépendante d’une surcharge de travail par exemple. Je trouve intéressant d’avoir ce baromètre donnant une information importante pour les collaborateur·ices et pour moi-même.

Je remarque au cours de l’évolution dans le temps du format du journal que je me concentre davantage sur les émotions que sur ce qui a été fait de manière analytique. C’est peut-être lié à une maturité personnelle qui me fait considérer davantage le côté humain au côté technique dans mon travail.

![Capture d’écran d’un journal récent (2022)](/static/david/2022/journal-2022-stylo.png "Capture d’écran d’un journal quotidien en 2022")

Pour la source, elle est toujours en _markdown_, j’ai tenté à un moment d’écrire directement en HTML (et j’ai encore des journaux en cours ainsi) mais ça change ma fluidité d’écriture car je finis par être distrait par l’éditeur. J’ajoute des métadonnées à base d’emojis pour comptabiliser le temps et consigner l’humeur :

![Capture d’écran de la source d’un journal récent (2022)](/static/david/2022/journal-2022-stylo-source.png "Capture d’écran de la source d’un journal quotidien en 2022")

Je passe sur certaines adaptations faites au cours du temps sur le générateur de HTML pour pouvoir supporter le décompte du temps de plusieurs personnes ou d’avoir plusieurs journaux combinés sur une même page.

La technique est loin d’être clef dans ce contexte et l’importance est plutôt de rendre le journal accessible facilement aux autre membres de l’équipe. Je poste le lien vers l’entrée du jour plus ou moins régulièrement (en fonction de l’activité du projet) dans l’espace dédié à la discussion instantanée.

## Intérêts

Le premier gain est personnel, il s’agit d’une mémoire externalisée de ce que j’ai fait avec des notes — parfois technique — de ce qui m’a débloqué à des moments clefs. Le fait de rédiger quotidiennement ou hebdomadairement me permet de faire un bilan de ce que j’ai réussi (ou échouer) à faire et des conditions de travail dans lesquelles j’ai été. Cela donne un sentiment d’avancement assez plaisant, ou lors de certaines périodes de réaliser que l’on piétine un peu aussi. J’y consignais aussi des bouts de code plus technique avant de les externaliser vers un [espace public dédié](https://code.larlet.fr/).

Je relis rarement ce journal de bout en bout *a posteriori* mais je vais souvent y piocher des lignes de commandes ou des conclusions de réunions. Parfois même des actions à faire lorsque la régularité sur un produit devient plus espacée.

J’apprécie que le temps soit décompté de manière transparente, il y a rarement des surprises ou si elles le sont c’est rapidement expliqué. Je trouve cela important que pour des personnes pas trop techniques mon métier soit un peu plus tangible et le fait de raconter les différents errements et recherches technologiques participe à sa compréhension. Lorsqu’on facture au temps passé et qui plus est à distance, la confiance s’installe également par la transparence.

Le gain collectif est difficile à estimer. J’ai souvent des retours positifs et inspirants. J’apprécie que toutes les personnes de l’équipe puissent avoir le même niveau d’information à mon sujet, autant au niveau du cheminement technique que de la forme du moment. Notamment dans des passages difficiles, je trouve ça intéressant de pouvoir m’exprimer à l’écrit de manière asynchrone, de manière un peu plus posée. Ces retours sont souvent à l’origine de discussions qui sont importantes pour que tout le monde se sente bien dans l’équipe. Le journal est une soupape de connaissance afin de ne pas devenir un·e gardien·ne du temple mais aussi une soupape émotionnelle !

## La suite ?

Je ne sais pas de quoi mon prochain journal sera fait. La seule certitude que je peux avoir c’est qu’il existera.

Je vous invite à inventer le vôtre, qui vous correspondra et qui en inspirera d’autres. Peut-être que de nouvelles façons de faire émergeront, des dessins, une photo, un _haïku_, tout est possible.

## Épilogue

Depuis cette année, l’enfant de 9 ans qui vit avec moi rédige ce qu’ils appellent dans sa classe des « traces d’écritures », ce qui correspond à une page de résumé des apprentissages pour la semaine en cours.

Il n’est jamais trop tôt pour commencer !

![Photo d’un cahier avec des traces d’écritures (2022)](/static/david/2022/journal-2022-traces.jpg "Une photo du cahier avec des traces d’écritures.")